package com.oqpo.api.enums;

import lombok.Getter;
import lombok.Setter;

public enum DpstPayDvsn {

    DEPOSIT("D", "입금"), //
    PAYMENT("P", "지급"), //
	;

    DpstPayDvsn(String cd, String nm) {
        this.cd = cd;
        this.name = nm;
    }

    @Getter
    @Setter
    private String cd;

    @Getter
    @Setter
    private String name;

    public static String getName(String ccd) {
        DpstPayDvsn[] values = DpstPayDvsn.values();
        for (DpstPayDvsn icd : values) {
            if (icd.cd.equals(ccd)) {
                return icd.name;
            }
        }
        return ccd;
    }

}
